<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_categories
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Display Options:
$useHeadings = ($params->get('use_headings', 1) == 1);
$showEmptyCategories = $params->get('show_empty_categories', 1);
$showCategoryCount = $params->get('show_category_count', 0);

foreach ($list as $item) :
	if (!$showEmptyCategories)
	{
		if (!isset($item->catid))
		{
			$numberItems = (int) $item->getNumItems(true);
			if ($numberItems === 0)
			{
				continue;
			}
		}
	}
?>
	<?php
		$levelup = $item->level-$startLevel -1;
		$currentLevel = ($item->level-$startLevel);
		if ($currentLevel <= 0)
		{
			$currentLevel = 1;
		}

	?>
	<?php
		if (is_object($item))
		{
			$parent = ' ';
			if (get_class($item) !== 'stdClass')
			{
				if (count($item->getChildren()))
				{
					$parent = 'parent ';
				}
			}
		}
	?>
	<?php if ($option === 'com_content' && $view === 'article' && isset($item->catid) && (int) $item->id === JRequest::getInt('id')) : ?>
		<?php $active = 'active current '; ?>

	<?php elseif ($idbase == $item->id && !isset($item->catid)) : ?>
		<?php $active = 'active current '; ?>
	<?php else : ?>
		<?php $active = ' '; ?>
	<?php endif; ?>
	<li class="<?php echo "item" . ($item->id); ?>
			   <?php echo $active; ?>
			   <?php //if ($_SERVER['PHP_SELF'] == JRoute::_(ContentHelperRoute::getCategoryRoute($item->id))) echo 'active ';?>
	           <?php echo "level" . $currentLevel; ?>
	           <?php echo $parent; ?>">

	    <?php if ($useHeadings) : ?>
		<h<?php echo $params->get('item_heading', 4)+ $levelup; ?>>
		<?php endif; ?>
		    <?php if (isset($item->catid)) : ?>
				<?php
					$link = $item->link;
				?>
			<?php else : ?>
				<?php
					$link = JRoute::_(ContentHelperRoute::getCategoryRoute($item->id));
				?>
			<?php endif; ?>
			<a class="<?php echo "level" . $currentLevel; ?> <?php echo $active; ?>" href="<?php echo $link; ?>">
			<span>
			<?php echo $item->title;?>
			<?php if ($showCategoryCount) : ?>
				<?php if (!isset($item->catid)) : ?>
					<?php echo "(" . $item->getNumItems(true) . ")"; ?>
				<?php endif; ?>
			<?php endif; ?>
			</span>
			</a>

		<?php if ($useHeadings) : ?>
		</h<?php echo $params->get('item_heading', 4)+ $levelup; ?>>
		<?php endif; ?>
		<?php if (isset($item->displayDate) && $item->displayDate) : ?>
			<span class="mod-artcats25-date"><?php echo $item->displayDate; ?></span>
		<?php endif; ?>
		<?php
		if (!isset($item->catid)) {
			if($params->get('show_description', 0))
			{
				echo JHtml::_('content.prepare', $item->description, $item->getParams(), 'mod_artcats25.content');
			}

			$params->set('parent', $item->id);
			$list = modArtCats25Helper::getList($params);
			if($params->get('show_children', 0) && (($params->get('maxlevel', 0) == 0) ||
			  ($params->get('maxlevel') > ($item->level - $startLevel))) && count($list))
			{

				echo '<ul>';
				$temp = $list;
				//$list = $item->getChildren();
				//JArrayHelper::sortObjects($list, $params->get('ordering', 'title'),
					//						  (int) $params->get('ordering_direction', '1'),
						//					  (bool) $params->get('ordering_case', true),
							//				  (bool) $params->get('ordering_locale', false));
				//$params->set('parent', $item->id);
				//$list = modArtCats25Helper::getList($params);
				require JModuleHelper::getLayoutPath('mod_artcats25', $params->get('layout', 'default').'_items');
				$list = $temp;
				echo '</ul>';
			}
		}
		?>
 </li>
<?php endforeach; ?>
